aboutsummaryrefslogtreecommitdiffstats
path: root/main/gst-ffmpeg/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-05-04 15:55:51 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-05-04 15:55:51 +0000
commit047cc1101efd3d67a79cc1326cb011205c297c47 (patch)
tree0fb7b4f37c95893519497743b3898f4d2085c4cc /main/gst-ffmpeg/APKBUILD
parentb51d1197aa9c85a48cdd71a1ff7cc4d08ff09049 (diff)
downloadaports-047cc1101efd3d67a79cc1326cb011205c297c47.tar.gz
aports-047cc1101efd3d67a79cc1326cb011205c297c47.tar.bz2
aports-047cc1101efd3d67a79cc1326cb011205c297c47.tar.xz
main/gst-ffmpeg: fix TEXTREL
Diffstat (limited to 'main/gst-ffmpeg/APKBUILD')
-rw-r--r--main/gst-ffmpeg/APKBUILD19
1 files changed, 15 insertions, 4 deletions
diff --git a/main/gst-ffmpeg/APKBUILD b/main/gst-ffmpeg/APKBUILD
index 13baa70c4a..81f92a77bd 100644
--- a/main/gst-ffmpeg/APKBUILD
+++ b/main/gst-ffmpeg/APKBUILD
@@ -7,10 +7,20 @@ url="http://www.gstreamer.net"
arch="all"
license="GPL"
makedepends="gstreamer-dev gst-plugins-base-dev liboil-dev coreutils"
-source="http://gstreamer.freedesktop.org/src/gst-ffmpeg/gst-ffmpeg-$pkgver.tar.bz2"
+source="http://gstreamer.freedesktop.org/src/gst-ffmpeg/gst-ffmpeg-$pkgver.tar.bz2
+ pic.patch"
+_builddir="$srcdir"/gst-ffmpeg-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
build() {
- cd "$srcdir"/gst-ffmpeg-$pkgver
+ cd "$_builddir"
export CFLAGS="$CFLAGS -fno-strict-aliasing"
./configure --prefix=/usr \
--sysconfdir=/etc \
@@ -20,10 +30,11 @@ build() {
}
package() {
- cd "$srcdir"/gst-ffmpeg-$pkgver
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
find "$pkgdir"/usr/lib/ -name '*.la' -o -name '*.a' \
| xargs rm -f
}
-md5sums="0d23197ba7ac06ea34fa66d38469ebe5 gst-ffmpeg-0.10.11.tar.bz2"
+md5sums="0d23197ba7ac06ea34fa66d38469ebe5 gst-ffmpeg-0.10.11.tar.bz2
+154fa474ee135ff709bc76a761477da4 pic.patch"